####################  Вводная  #########################
; Каждая секция RegExpr#nn является отдельным правилом
; при обработке url-ов. Порядок вызова правил определяется
; номером секции (по порядку от RegExpr#1 до RegExpr#MAX)
; Expr - строка регулярного выражения
; Replace - строка замены, при срабатывании правила
; Active=1 - правило активно (0 - не активно)

################### Автозамены ##############################
; Ряд условных символов, которые будут автоматически заменены:
; <X> заменяется на значение X-координаты тайла
; <Y> заменяется на значение Y-координаты тайла
; <Xi> заменяется на значение X/1024 (целочисленное деление) 
; <Yi> заменяется на значение Y/1024 (целочисленное деление)
; <Z> заменяется на значение уровня зума, на котором находится тайл
; Регистр, значения не имеет, т.е. и <x> и <X> воспринимаются одинаково.
;
; Также, если после всех преобразований url, его часть http:// 
; не была ни на что заменена, то она будет автоматически замененна на 
; значение пути к кэшу по умолчанию (секция [cachepath], значение tile
; в файле config.ini).

################### Азбука Regex ##############################
; \\ - символ "\"
; \. - символ "."
; \? - символ "?"
; всё что внутри скобок () попадает в переменную $N , где N-номер по  порядку
; $0 - строка соответствующая выражению Expr
; (f1|f1c|q2|qp) - любое из перечисленных строк f1,f1c,q2,qp
; \d+ - любое кол-во цифр
; \D+ - любое кол-во НЕ цифр
; \w+ - любое количество букв
; \d{6} - 6 цифр
; \w{6} - 6 букв
; Регистр имеет значение! Т.е. \d+ не одно и то же что и \D+

################### Правила: #################################
##############################################################
; Задаётся максимальный номер секции RegExpr. Секции с номерми, 
; большими чем RegExprMAX загружаться и обрабатываться не будут.
[Count]
RegExprMAX=30

#############################################################
;Правило #1 определяет папку, куда будут сохраняться тайлы
[RegExpr#1]
Expr=(kh|khmdb)\.(h|g)oogle\.com/
Replace=Tiles\\
Active=1

############################################################
;Сортировка тайлов по их типу: Images, Layers, Qtries, Terrains,
;Textures (типы Layers и Textures сортируются и по номеру слоя) 
[RegExpr#2]
Expr=f1-\d+-i\.\d+
Replace=Images\\$0
Active=1

[RegExpr#3]
Expr=f1c-\d+-d\.(\d+)\.\d+
Replace=Layers\\$1\\$0
Active=1

[RegExpr#4]
Expr=(q2|qp)-\d+-q\.\d+
Replace=Qtrees\\$0
Active=1

[RegExpr#5]
Expr=f1c-\d+-t\.\d+
Replace=Terrains\\$0
Active=1

[RegExpr#6]
Expr=f1-\d+-d\.(\d+)\.\d+
Replace=Textures\\$1\\$0
Active=1

###########################################################
;Сортировка q2 и qp файлов по номеру версии
[RegExpr#10]
Expr=(q2|qp)-\d+-q\.(\d+)
Replace=$2\\$0
Active=1

###########################################################
;Сортировка исторических снимков по дате
[RegExpr#11]
Expr=f1-\d+-i\.\d+-(\w+)
Replace=$1\\$0
Active=1

##########################################################
;Сортировка всех данных по уровню зума и подпапкам по 1024 тайла
[RegExpr#15]
Expr=(f1|f1c|q2|qp)-\d+-
Replace=z<Z>\\<Xi>\\x<X>\\<Yi>\\$0
Active=1

##########################################################
;Сортировка по типу сервера: Mars,Sky,Moon,Earth,History
[RegExpr#20]
Expr=flatfile\?db=tm\&
Replace=History\\
Active=1

[RegExpr#21]
Expr=flatfile\?db=sky\&
Replace=Sky\\
Active=1

[RegExpr#22]
Expr=flatfile\?db=mars\&
Replace=Mars\\
Active=1

[RegExpr#23]
Expr=flatfile\?db=moon\&
Replace=Moon\\
Active=1

[RegExpr#29]
Expr=flatfile\?
Replace=Earth\\
Active=1